- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feedPacks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feedPacks/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feedPacks/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feedPacks/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feedPacks/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feedPacks/list#body.ListFeedPacksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feedPacks/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feedPacks/list#body.aspect_1)

**Full name**: projects.locations.instances.feedPacks.list

Lists Packs for which feeds can be configured.

### HTTP request

`GET https://{endpoint}/v1/{parent}/feedPacks`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this content pack will be created. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of feed content packs to return. The service may return fewer than this value. If unspecified, at most 50 feed content packs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `feedPacks.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `feedPacks.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for feedPacks.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "feedPacks": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feedPacks#FeedPack`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `feedPacks[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feedPacks#FeedPack`)`` List of feeds packs. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.feedPacks.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).